View Issue Details

IDProjectCategoryView StatusLast Update
0001859Kali Linux[All Projects] Kali Package Bugpublic2014-11-07 10:15
ReporterMiteshShah Assigned Torhertzog  
PriorityhighSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.0.9 
Target VersionFixed in Version 
Summary0001859: Package conflict
DescriptionEvery Morning i'm run following commands
sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

Today kali linux package give me broken also apt-get -f install doesn't fix the issue

sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  baobab caribou caribou-antler distorm3 dnsmasq-base empathy-common fonts-cantarell
  gcalctool gdm3 gnome-backgrounds gnome-dictionary gnome-disk-utility gnome-font-viewer
  gnome-icon-theme-extras gnome-packagekit gnome-packagekit-data gnome-screenshot
  gnome-system-log gucharmap libavahi-gobject0 libavahi-ui-gtk3-0 libcaribou-gtk-module
  libcaribou-gtk3-module libchamplain-0.12-0 libchamplain-gtk-0.12-0 libgadu3
  libgdict-1.0-6 libgdict-common libgdu-gtk0 libgeocode-glib0 libjim0debian2 libmozjs22d
  libmozjs24d libnet-daemon-perl libnl-route-3-200 libplrpc-perl libtelepathy-farstream2
  libtsk3-3 libunique-3.0-0 memtest86+ mobile-broadband-provider-info modemmanager
  nautilus-sendto-empathy network-manager network-manager-gnome openjdk-7-jre-lib
  python-apsw python-utidylib sound-theme-freedesktop syslinux-themes-debian
  syslinux-themes-debian-wheezy telepathy-gabble telepathy-logger telepathy-salut
  usb-modeswitch usb-modeswitch-data vino xulrunner-22.0 xulrunner-24.0
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  python-distorm3
The following NEW packages will be installed:
  python-distorm3
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
8 not fully installed or removed.
Need to get 0 B/18.1 kB of archives.
After this operation, 116 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
(Reading database ... 385840 files and directories currently installed.)
Unpacking python-distorm3 (from .../python-distorm3_3.3-1kali1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/python-distorm3_3.3-1kali1_all.deb (--unpack):
 trying to overwrite '/usr/share/pyshared/distorm3/__init__.py', which is also in package distorm3 3.3-1kali0
Errors were encountered while processing:
 /var/cache/apt/archives/python-distorm3_3.3-1kali1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Steps To Reproducesudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

Activities

rhertzog

2014-11-07 10:15

administrator   ~0002691

Should be fixed with python-distorm3 3.3-1kali2, available immediately in kali-proposed-updates and soon in kali itself.

Issue History

Date Modified Username Field Change
2014-11-07 09:58 MiteshShah New Issue
2014-11-07 10:15 rhertzog Note Added: 0002691
2014-11-07 10:15 rhertzog Assigned To => rhertzog
2014-11-07 10:15 rhertzog Status new => resolved
2014-11-07 10:15 rhertzog Resolution open => fixed
2014-11-21 20:03 haider Issue cloned: 0001917